function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("BusinessEvents Resource Reference Tables","4");
A=P.fN("Preface","5");
var B=A.fN("Changes from the Previous Release of this Guide","6");
B=A.fN("Related Documentation","7");
var C=B.fN("TIBCO BusinessEvents Documentation","7#46106");
C=B.fN("Accessing BusinessEvents Functions Reference Documentation","7#46172");
C=B.fN("TIBCO BusinessEvents Event Stream Processing","7#46188");
C=B.fN("TIBCO BusinessEvents Decision Manager","7#46218");
C=B.fN("TIBCO BusinessEvents Data Modeling","7#46249");
C=B.fN("TIBCO BusinessEvents Views","7#46278");
C=B.fN("Other TIBCO Product Documentation","7#46312");
B=A.fN("Typographical Conventions","8");
B=A.fN("How to Contact TIBCO Support","9");
A=P.fN("Introduction","10");
B=A.fN("Introduction","11");
A=P.fN("Project Tasks","12");
B=A.fN("Creating a Project","13");
B=A.fN("Finding a Project Element","14");
B=A.fN("Exporting (Generating) Concept and Event Schema (XSD) Files","15");
B=A.fN("Validating a Project","16");
B=A.fN("Adding External Libraries to the BusinessEvents Studio Classpath","17");
B=A.fN("Creating and Using Project Libraries","18");
C=B.fN("Creating a Project Library","18#2388622");
C=B.fN("Adding and Removing Project Libraries in a BusinessEvents Studio Project","18#2388661");
B=A.fN("Working with Global Variables","19");
C=B.fN("Adding and Managing Global Variables","19#2399563");
C=B.fN("Using Global Variables","19#2399579");
C=B.fN("Overriding Global Variables at Deploy Time","19#2414126");
B=A.fN("Building an Enterprise Archive (EAR File)","20");
C=B.fN("EAR File Encoding","20#2417374");
C=B.fN("Deployment Options","20#2414474");
C=B.fN("Building an EAR File in BusinessEvents Studio","20#2402059");
C=B.fN("Building an EAR File at the Command Line","20#2402074");
A=P.fN("Studio Tools Utility","21");
B=A.fN("Building an Enterprise Archive (EAR File) at the Command Line","22");
B=A.fN("Importing a BusinessEvents 3.x Project at the Command Line","23");
B=A.fN("Importing an Excel File into TIBCO BusinessEvents Decision Manager at the Command Line","24");
B=A.fN("Validating a Decision Table at the Command Line","25");
B=A.fN("Generating Decision Table Class Files at the Command Line","26");
B=A.fN("Committing Project Artifacts to RMS at the Command Line","27");
B=A.fN("Setting up RMS Projects at the Command Line","28");
A=P.fN("Element Refactoring Operations","29");
B=A.fN("Renaming, Moving, Deleting, and Copy-Pasting Elements","30");
C=B.fN("Project Level Actions","30#2394920");
C=B.fN("Renaming, Moving, and Deleting Elements","30#2415289");
C=B.fN("Copy-Pasting an Element","30#2405668");
B=A.fN("Automatic Refactoring Actions and Limitations","31");
C=B.fN("Refactoring Limitations","31#2388839");
C=B.fN("Refactoring for Move and Rename Operations","31#2388845");
C=B.fN("Refactoring for Delete Operations","31#2388915");
A=P.fN("Channels and Destinations","32");
B=A.fN("Overview of Channels and Destinations","33");
C=B.fN("Types of Channels","33#2388510");
B=A.fN("Selecting a Serializer","34");
C=B.fN("Deploy-time Configuration","34#2388570");
B=A.fN("Mapping Incoming Messages to Non-default Events","35");
B=A.fN("Working with Rendezvous Channels","36");
C=B.fN("Rendezvous Message Header","36#2388638");
C=B.fN("Basic Serializer","36#2388644");
C=B.fN("Serializer For Use with Payloads","36#2388654");
B=A.fN("Working with Local Channels","37");
C=B.fN("Event Use Count","37#2388729");
C=B.fN("Using a Local Channel","37#2388736");
B=A.fN("Adding Channels and Destinations","38");
C=B.fN("Adding a Destination to a Channel","38#2388797");
B=A.fN("Communicating with Other Sources using TCP","39");
C=B.fN("APIs for TCP Communication","39#2407144");
B=A.fN("Channel Resource Reference","40");
C=B.fN("Wizard and Configuration Section","40#2388853");
B=A.fN("Destination Resource Reference","41");
A=P.fN("JMS Channels","42");
B=A.fN("Overview of JMS Channels","43");
B=A.fN("Selecting a JMS Serializer","44");
C=B.fN("BytesMessageSerializer","44#2389400");
C=B.fN("TextMessageSerializer","44#2389406");
B=A.fN("Creating Unique JMS DurableSubscriber Name Properties","45");
B=A.fN("Changing the JMS Message Acknowledgment Mode","46");
B=A.fN("Using JMS Header Properties in Incoming and Outgoing Messages","47");
C=B.fN("Setting Certain Header Properties in Destinations","47#2389606");
C=B.fN("Setting Header Properties Using Header Properties from Incoming JMS Messages","47#2389616");
C=B.fN("Setting JMS Header Properties in Outgoing JMS Messages Using Event Properties","47#2423100");
C=B.fN("How BusinessEvents Sets the JMSReplyTo Header in Outgoing Messages","47#2389654");
B=A.fN("JMS Header Field Names","48");
A=P.fN("HTTP and SOAP Channels","49");
B=A.fN("Overview of HTTP and SOAP Channels","50");
C=B.fN("Selecting the Server Type","50#2389908");
C=B.fN("SOAP Support","50#2389917");
B=A.fN("Working with HTTP Requests","51");
C=B.fN("Mapping of HTTP Requests to Events","51#2413446");
C=B.fN("Mapping of HTTP Request URI to Destination","51#2424389");
C=B.fN("Configuring BusinessEvents to Receive and Send HTTP Requests","51#2424048");
B=A.fN("HTTP Channel Configuration Properties","52");
C=B.fN("Defining Event Properties for Standard HTTP Header Properties","52#2416512");
B=A.fN("Using HTTP Functions to Configure HTTP Request Messages","53");
C=B.fN("Generating a Self-Signed SSL Certificate (Keystore)","53#2390251");
C=B.fN("Getting POST Data","53#2410756");
C=B.fN("Loading Trusted Certificates","53#2410184");
C=B.fN("Sending an Event","53#2410469");
C=B.fN("Sending an Asynchronous Request (Not Secure)","53#2411457");
C=B.fN("Sending a Secure Asynchronous Request","53#2410904");
C=B.fN("Sending a Secure Synchronous Request","53#2429581");
B=A.fN("Configuring BusinessEvents as a SOAP Server and Client","54");
C=B.fN("Overview of SOAP Related Resources","54#2390521");
C=B.fN("Mapping of SOAP Request URI to Destination","54#2424517");
C=B.fN("Manual Configuration","54#2390538");
C=B.fN("Using the WSDL Import Utility","54#2390571");
C=B.fN("Using the WSDL Export Utility","54#2398884");
B=A.fN("Parsing and Building SOAP Messages","55");
C=B.fN("Working with Incoming SOAP Messages (Event Payloads)","55#2390596");
C=B.fN("Working with Outgoing SOAP Messages (Event Payloads)","55#2390693");
B=A.fN("Understanding the WSDL to Project Resource Mapping","56");
C=B.fN("Example WSDL","56#2390733");
C=B.fN("Example Project Folder Structure","56#2390789");
C=B.fN("How Project Artifacts are Named","56#2390976");
A=P.fN("Simple Events","57");
B=A.fN("Overview of Simple Events","58");
C=B.fN("Using Inheritance","58#2388444");
B=A.fN("Working with Events in Rules","59");
C=B.fN("Explicitly Assert Events Created in Rules","59#2397386");
C=B.fN("Specifying Default and Non-Default Destinations","59#2397271");
C=B.fN("Scheduling Simple Events","59#2397395");
B=A.fN("Adding a Simple Event","60");
B=A.fN("Simple Event Reference","61");
C=B.fN("Wizard and Configuration (Standard Tab)","61#2388493");
C=B.fN("Properties (Standard Tab)","61#2388591");
C=B.fN("Metadata (Standard Tab)","61#2390838");
C=B.fN("Declaration and Expiry Action (Advanced Tab)","61#2390889");
C=B.fN("Payload (Advanced Tab)","61#2388639");
B=A.fN("Simple Event Attributes Reference","62");
A=P.fN("Time Events and Scheduler Functions","63");
B=A.fN("Overview of Time Events","64");
C=B.fN("Scheduled Time Events","64#2388977");
C=B.fN("Rule Based Time Events","64#2388991");
B=A.fN("Working With Time Events","65");
C=B.fN("Adding a Time Event","65#2389004");
C=B.fN("Configuring a Rule Based Time Event in a Rule or Rule Function","65#2389030");
B=A.fN("TimeEvent Resource Reference","66");
C=B.fN("Wizard and Configuration Tab","66#2389059");
C=B.fN("Metadata","66#2389115");
B=A.fN("TimeEvent Attributes Reference","67");
B=A.fN("Rule Based TimeEvent Function Reference","68");
B=A.fN("Scheduling Events Using Scheduler Functions (Requires Cache OM)","69");
A=P.fN("Advisory Events","70");
B=A.fN("Working With Advisory Events","71");
C=B.fN("Uses of Advisory Events","71#2389256");
C=B.fN("Adding an Advisory Event to a Rule","71#2389305");
B=A.fN("Advisory Event Attributes Reference","72");
A=P.fN("Concepts","73");
B=A.fN("Overview of Concepts","74");
B=A.fN("Adding Concepts and Concept Relationships","75");
C=B.fN("Adding a Concept","75#2388447");
C=B.fN("Adding Concept Relationships","75#2388472");
B=A.fN("Concept Resource Reference","76");
C=B.fN("Wizard and Configuration Tab","76#2388531");
C=B.fN("Properties","76#2388596");
C=B.fN("Metadata","76#2388679");
B=A.fN("Concept Attributes Reference","77");
A=P.fN("Scorecards","78");
B=A.fN("Understanding and Working With Scorecards","79");
C=B.fN("Adding a Scorecard","79#2389047");
C=B.fN("Using a Scorecard in Rules","79#2389063");
C=B.fN("Scorecard Resource Reference","79#2389069");
A=P.fN("Domain Models","80");
B=A.fN("Domain Model Value Descriptions for User Friendly Presentation","");
C=B.fN("Domain Model Value Descriptions for User Friendly Presentation","80#2396351");
B=A.fN("Adding a Domain Model","81");
B=A.fN("Associating Domain Models with a Property","82");
B=A.fN("Validating Data in Domain Models","83");
A=P.fN("Shared Resources","84");
B=A.fN("Adding a Shared Resource","85");
C=B.fN("Adding a Shared Resource","85#1689077");
B=A.fN("HTTP Connection","86");
C=B.fN("Wizard and Configuration Tab","86#1675181");
C=B.fN("Configure SSL","86#1675233");
B=A.fN("Identity Resource","87");
C=B.fN("Wizard and Configuration Tab","87#1678945");
B=A.fN("JDBC Connection","88");
C=B.fN("Wizard and Configuration Tab","88#1676047");
C=B.fN("Connection Pooling","88#1678425");
C=B.fN("Test Connection Button","88#1678434");
B=A.fN("JMS Application Properties","89");
C=B.fN("Wizard and Configuration Tab","89#1686687");
B=A.fN("JMS Connection","90");
C=B.fN("Wizard and Configuration Tab","90#1676395");
C=B.fN("Test Connection Button","90#1676595");
C=B.fN("Advanced Tab","90#1677771");
C=B.fN("Configure SSL","90#1676647");
B=A.fN("JNDI Configuration","91");
C=B.fN("Wizard and Configuration Tab","91#1676193");
C=B.fN("Advanced Section","91#1690679");
B=A.fN("Rendezvous Transport","92");
C=B.fN("Wizard and Configuration Tab","92#1677456");
C=B.fN("Configure SSL Button","92#1677570");
C=B.fN("Advanced Section","92#1677589");
A=P.fN("Rules and Rule Functions","93");
B=A.fN("Overview of Rules and Rule Functions","94");
C=B.fN("Form-based and Source Rule Editors","94#2388424");
C=B.fN("Rule Components","94#2410830");
C=B.fN("Effect of Cache Only Cache Mode","94#2388457");
B=A.fN("Adding a Rule","95");
B=A.fN("Rule Editor Reference","96");
B=A.fN("Adding a Rule Function","97");
B=A.fN("Rule Function Resource Reference","98");
B=A.fN("Using Variables and Functions in the Rule Editor","99");
C=B.fN("Using Catalog Functions in the Rule Editor","99#2388664");
C=B.fN("Using Global Variables in the Rule Editor","99#2410449");
C=B.fN("Using the Function Argument Mapper","99#2410424");
B=A.fN("Using Priority and Rank to Control Order of Rule Execution","100");
B=A.fN("Tips for Working in the Rule Editor","101");
B=A.fN("Event Preprocessors","102");
C=B.fN("Configuring an Event Preprocessor","102#2388835");
A=P.fN("Functions","103");
B=A.fN("Overview of Catalog Functions","104");
C=B.fN("Built-in Functions","104#2389127");
C=B.fN("Custom Functions","104#2389204");
C=B.fN("Extended Functions","104#2414064");
B=A.fN("Function Tooltips and Decorations","105");
C=B.fN("Tool Tips","105#2414958");
C=B.fN("Decorations Indicating Where Functions can be Called","105#2414979");
B=A.fN("Temporal Functions and Their Parameters","106");
B=A.fN("VRF Functions","107");
B=A.fN("Guidelines for Use of Coherence (Cache Query) Functions","108");
C=B.fN("Coherence Category","108#2389406");
C=B.fN("Constants and Extractors Categories","108#2389446");
C=B.fN("Filters Category","108#2389450");
C=B.fN("Query Category","108#2389460");
B=A.fN("Adding Custom Functions","109");
C=B.fN("Task Summary","109#2389504");
C=B.fN("Adding and Removing Custom Functions in a BusinessEvents Studio Project","109#2389548");
B=A.fN("Restrictions on Use of Custom Functions","110");
C=B.fN("Static and Non-Static Functions","110#2389587");
C=B.fN("Return Types","110#2389591");
C=B.fN("Name Overloading","110#2389603");
C=B.fN("Editing Custom Functions","110#2408062");
B=A.fN("Structure of a Function Catalog","111");
C=B.fN("Elements in the Function Catalog","111#2389634");
C=B.fN("Example Function Catalog","111#2389811");
A=P.fN("Rule Language Grammar","112");
B=A.fN("Rule Language Basics","113");
C=B.fN("Whitespace","113#2388419");
C=B.fN("Comments","113#2388430");
C=B.fN("Separators","113#2388440");
C=B.fN("Identifiers (Names)","113#2388461");
C=B.fN("Local Variables","113#2388488");
C=B.fN("Literals","113#2388656");
C=B.fN("Escape Sequences","113#2388673");
C=B.fN("Operators","113#2388719");
B=A.fN("Keywords and Other Reserved Words","114");
B=A.fN("Attributes","115");
B=A.fN("Accessing Concept and Event Properties","116");
C=B.fN("Concept Property Atom","116#2389073");
C=B.fN("Concept Property Array","116#2389117");
C=B.fN("Event Property","116#2389147");
B=A.fN("Exception Handling","117");
C=B.fN("Syntax","117#2389172");
C=B.fN("Examples","117#2391988");
B=A.fN("Flow Control","118");
C=B.fN("if/else","118#2389238");
C=B.fN("for","118#2389248");
C=B.fN("while","118#2389266");
A=P.fN("Rule Language Datatypes","119");
B=A.fN("Concept Properties to XML Datatype Conversions","120");
B=A.fN("Compatibility of Operators with Types","121");
B=A.fN("Correcting Inconsistencies of Type","122");
C=B.fN("String Operands","122#2389898");
C=B.fN("Arithmetic Expressions","122#2389906");
C=B.fN("Assignment Conversion","122#2389918");
C=B.fN("Function Argument Conversion","122#2389923");
A=P.fN("Mapping and Transforming Data","123");
B=A.fN("Overview of Mapping and Transformation","124");
C=B.fN("Function Section","124#1675214");
C=B.fN("Input Section","124#1675320");
C=B.fN("Mapping and Transforming Data to Function Input","124#1673125");
C=B.fN("Statements, Hints, and Errors","124#1673143");
B=A.fN("Buttons, Menus, and Icons","125");
C=B.fN("Toolbar and Right-Click Menu on the Input Section","125#1673164");
C=B.fN("Icons for Schema Element Datatypes","125#1673421");
C=B.fN("Qualifier Icons","125#1673513");
B=A.fN("Specifying Constants","126");
C=B.fN("Date and Datetime Strings in Constants","126#1673589");
B=A.fN("Data Validation","127");
B=A.fN("Repairing Incorrect Mappings","128");
B=A.fN("Shortcuts","129");
C=B.fN("Statement Menu Options","129#1673830");
C=B.fN("Dragging to the Left","129#1673842");
C=B.fN("Cutting and Pasting","129#1673863");
C=B.fN("Automatic Testing (at Runtime)","129#1689518");
B=A.fN("Examples of Mappings","130");
C=B.fN("Setting an Element Explicitly to Nil","130#1673960");
C=B.fN("Merging Input from Multiple Sources","130#1690538");
C=B.fN("Converting a List Into a Grouped List","130#1690596");
C=B.fN("Merging Two Corresponding Lists","130#1690641");
C=B.fN("Coercions","130#1690688");
B=A.fN("XSLT Statements","131");
C=B.fN("Attribute","131#1674179");
C=B.fN("Choose","131#1674190");
C=B.fN("Comment","131#1674203");
C=B.fN("Copy","131#1674208");
C=B.fN("Copy-Contents-Of","131#1674213");
C=B.fN("Copy-Of","131#1674221");
C=B.fN("Element","131#1674226");
C=B.fN("For-Each","131#1674231");
C=B.fN("For-Each-Group","131#1691123");
C=B.fN("Generate Comment","131#1674249");
C=B.fN("Generate PI","131#1674254");
C=B.fN("If","131#1674259");
C=B.fN("Value-Of","131#1674270");
C=B.fN("Variable","131#1674275");
A=P.fN("XPath Formula Builder","132");
B=A.fN("XPath Basics","133");
C=B.fN("Addressing Schema Elements","133#1674314");
C=B.fN("Evaluation Context","133#1674328");
C=B.fN("Namespaces","133#1674331");
C=B.fN("Search Predicates","133#1674336");
C=B.fN("Testing for Nil","133#1674352");
C=B.fN("Comments","133#1674356");
B=A.fN("The XPath Formula Builder","134");
B=A.fN("String Representations of Datatypes","135");
B=A.fN("Date and Time Functions","136");
A=P.fN("ActiveMatrix BusinessWorks Integration","137");
B=A.fN("Overview of Integration with ActiveMatrix BusinessWorks","138");
C=B.fN("The Container and the Contained Engine","138#1689318");
B=A.fN("Integration Components","139");
C=B.fN("ActiveMatrix BusinessWorks Activities Palette","139#1685099");
C=B.fN("BusinessEvents Functions","139#1675416");
B=A.fN("Design Considerations","140");
C=B.fN("Integration Scope","140#1675856");
C=B.fN("Thread Management","140#1675872");
C=B.fN("Design Considerations Related to Container","140#1675922");
C=B.fN("Fault Tolerance With a BusinessEvents Container","140#1676057");
C=B.fN("Tips for Working With ActiveMatrix BusinessWorks Containers","140#1676085");
B=A.fN("Configuring the Environment for ActiveMatrix BusinessWorks Containers","141");
B=A.fN("Configuring the Environment For BusinessEvents Containers","142");
B=A.fN("Configuring a RuleServiceProvider Configuration Resource","143");
B=A.fN("BusinessEvents RuleServiceProvider Configuration Resource Reference","144");
C=B.fN("Configuration","144#1692254");
B=A.fN("Working With the BusinessEvents Activities","145");
B=A.fN("Receive Event Resource Reference","146");
C=B.fN("Configuration","146#1679527");
C=B.fN("Misc","146#1679563");
C=B.fN("Output","146#1679587");
B=A.fN("Send Event Resource Reference","147");
C=B.fN("Configuration","147#1679613");
C=B.fN("Input","147#1688859");
B=A.fN("Wait for Event Resource Reference","148");
C=B.fN("Configuration","148#1679673");
C=B.fN("Event","148#1679709");
C=B.fN("Input","148#1679737");
C=B.fN("Output","148#1679759");
B=A.fN("Invoking a BusinessEvents Rule Function from a Process","149");
C=B.fN("Specifying Input Arguments","149#1682500");
C=B.fN("Using Synchronous Invocation","149#1682514");
C=B.fN("Using the lockWM Parameter","149#1682525");
C=B.fN("Overriding the Rule Function at Runtime","149#1682537");
B=A.fN("Working With Invoke RuleFunction Activities","150");
B=A.fN("Invoke RuleFunction Resource Reference","151");
C=B.fN("Configuration","151#1682612");
C=B.fN("Input","151#1682665");
C=B.fN("Output","151#1682710");
B=A.fN("Working with the BusinessWorks Functions","152");
C=B.fN("Providing Paths to BusinessEvents Project Resources Using Schemas","152#1699243");
C=B.fN("Using invokeProcess()","152#1682733");
C=B.fN("Using startProcess()","152#1682832");
C=B.fN("Using cancelProcess()","152#1682926");
C=B.fN("Using init()","152#1682934");
C=B.fN("Using shutdown()","152#1682962");
A=P.fN("BusinessEvents Performance Profiler","153");
B=A.fN("Overview of Profiler","154");
B=A.fN("Changing the Delimiter Character","155");
B=A.fN("Turning Profiler On and Off","156");
C=B.fN("To Turn Profiler On and Off Using BusinessEvents Monitoring and Management","156#2389345");
C=B.fN("To Turn Profiler On and Off Using Properties","156#2390503");
C=B.fN("To Turn Profiler On and Off Using Functions","156#2388555");
C=B.fN("To Turn Profiler On and Off Using TIBCO Hawk Methods","156#2388597");
B=A.fN("Profiler Reference","157");
A=P.fN("Testing and Debugging Projects","158");
B=A.fN("Overview","159");
C=B.fN("Debugging","159#2403330");
C=B.fN("Running and Testing Projects","159#2399445");
C=B.fN("Launch Configurations","159#2404632");
C=B.fN("Test Data","159#2404479");
C=B.fN("Viewing and Understanding Results","159#2404679");
B=A.fN("Preparing to Run (Test) or Debug a Project","160");
C=B.fN("Build an EAR File","160#2388406");
C=B.fN("Create Test Data (as Desired)","160#2401882");
C=B.fN("For Remote Debugging Only, Configure Java Debug Interface (JDI)","160#2403917");
B=A.fN("Adding and Working with Launch (Debug or Run) Configurations","161");
B=A.fN("Launch Configurations Reference","162");
C=B.fN("For Testing and Local Debugging","162#2390492");
C=B.fN("For Remote Debugging","162#2390734");
B=A.fN("Creating and Working With Tester Data","163");
C=B.fN("Working with Tester Data","163#2406553");
C=B.fN("Working with Rule Data","163#2406437");
B=A.fN("Setting Breakpoints and Running Debugger","164");
B=A.fN("Running Tester","165");
C=B.fN("Running the Engine","165#2408043");
C=B.fN("Asserting Rule Input Data","165#2407067");
B=A.fN("Viewing the Results","166");
C=B.fN("Understanding Result Data","166#2408761");
C=B.fN("Viewing and Understanding Working Memory Contents","166#2408783");
B=A.fN("Reference to Tester Preferences","167");
A=P.fN("Diagrams","168");
B=A.fN("Overview of Diagrams","169");
B=A.fN("Working with Diagrams","170");
C=B.fN("Performing Common Tasks","170#2443447");
C=B.fN("Using Diagram Tools","170#2443544");
C=B.fN("Exporting a Diagram to an Image","170#2449143");
C=B.fN("Printing a Diagram","170#2449159");
C=B.fN("Setting Diagram Preferences","170#2452670");
B=A.fN("Project Analyzer and Selected Entity Project Diagrams","171");
C=B.fN("Advantages of Project Analyzer and Selected Entity Project Diagrams","171#2447245");
C=B.fN("Working with Project Analyzer and Selected Entity Project Diagrams","171#2447272");
B=A.fN("Dependency Diagrams","172");
B=A.fN("Sequence Diagrams","173");
B=A.fN("Concept Model Diagrams","174");
B=A.fN("Event Model Diagrams","175");
B=A.fN("Diagram Tools Reference","176");
C=B.fN("Layout Options","176#2419550");
B=A.fN("Reference to Diagram Preferences","177");
A=P.fN("Handling Null Properties","178");
B=A.fN("Handling Null Concept Property Values","179");
C=B.fN("Enabling Use of the Nillable Attribute","179#1675329");
C=B.fN("Enabling Null Property Values to Appear When Serializing Concepts to XML","179#1674864");
C=B.fN("Examples of Nillable Attribute and Null Properties Settings","179#1674872");
C=B.fN("Enabling and Setting Special Treatment of Numeric Null Values","179#1674903");
C=B.fN("Setting Runtime Properties for Special Treatment of Null Values","179#1674966");
C=B.fN("Property Reference for Null Property Handling","179#1674993");
}
